# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vlVG Namespace Reference

The Vector Graphics namespace. More...

## Classes
class | SceneManagerVectorGraphics
| The SceneManagerVectorGraphics class is a SceneManager that contains VectorGraphics objects. More...
class | VectorGraphics
| The VectorGraphics class is used in conjuction with SceneManagerVectorGraphics to generate and render 2D vector graphics. More...
## Enumerations
enum | ETextureMode { TextureMode_Clamp, TextureMode_Repeat }
| Defines how the texture is applied to the rendering primitive. More...
enum | EPolygonStipple { PolygonStipple_Solid, PolygonStipple_Dot, PolygonStipple_Chain, PolygonStipple_HLine, PolygonStipple_VLine }
| Poligon stipple patterns. More...
enum | ELineStipple { LineStipple_Solid, LineStipple_Dot, LineStipple_Dash, LineStipple_Dash4, LineStipple_Dash8, LineStipple_DashDot, LineStipple_DashDotDot }
| Line stipple patterns. More...

## Detailed Description

The Vector Graphics namespace.

## Enumeration Type Documentation

enum vlVG::ETextureMode

Defines how the texture is applied to the rendering primitive.

Enumerator:

  TextureMode_Clamp | The texture is stretched over the primitive.
  TextureMode_Repeat | The texture is repeated over the primitive.

enum vlVG::EPolygonStipple

Poligon stipple patterns.

Enumerator:

  PolygonStipple_Solid | The poligon is completely filled (default).
  PolygonStipple_Dot |
  PolygonStipple_Chain |
  PolygonStipple_HLine |
  PolygonStipple_VLine |

enum vlVG::ELineStipple

Line stipple patterns.

Enumerator:

  LineStipple_Solid | The line is completely filled (default).
  LineStipple_Dot |
  LineStipple_Dash |
  LineStipple_Dash4 |
  LineStipple_Dash8 |
  LineStipple_DashDot |
  LineStipple_DashDotDot |

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:12:00 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.